﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using MvcContrib.PortableAreas;

namespace SampleAreasProject.SampleArea
{
    public class SampleAreaRegistration : PortableAreaRegistration
    {
        public override void RegisterArea(AreaRegistrationContext context, IApplicationBus bus)
        {
            context.MapRoute(
                null,
                this.AreaName + "/{controller}/{action}",
                new { area = this.AreaName, controller = "Default", action = "Index" }
            );

            RegisterAreaEmbeddedResources();
        }

        public override string AreaName
        {
            get { return "SampleArea"; }
        }
    }
}